sed -f ${out} ${cwd}/scripts/regress-config.in >${cwd}/scripts/regress-config
chmod 755 ${cwd}/scripts/regress-config
-scripts/config_dart
# These files have no fancy sed stuff, so we just copy them over
cp scripts/win32-bacula-sd-tape.conf.in scripts/win32-bacula-sd-tape.conf
chmod 755 ${cwd}/bin/mtx-changer ${cwd}/scripts/prepare-fake-autochanger
scripts/set_tape_options
+scripts/config_dart
rm -f ${out}
rm -f ${cwd}/tmp/bac$$
FileSet {
Name = "Full Set"
Include {
- Options { signature=MD5; sparse=yes }
+ Options { signature=MD5; sparse=yes;
+ verify=pins5 }
File = <@tmpdir@/file-list
}
}
@# now do a restore
@#
@$out ${cwd}/tmp/log2.out
+setdebug level=10 storage=File
restore fileset=FS_TESTJOB where=${cwd}/tmp/bacula-restores select all done
yes
wait
@# now do a restore
@#
@$out ${cwd}/tmp/log2.out
+setdebug level=10 storage=File
restore fileset=FS_TESTJOB where=${cwd}/tmp/bacula-restores select all done
yes
wait
@# now do a restore
@#
@$out ${cwd}/tmp/log2.out
+setdebug level=10 storage=File
restore fileset=FS_TESTJOB where=${cwd}/tmp/bacula-restores select all done
yes
wait
@# now do a restore
@#
@$out ${cwd}/tmp/log2.out
+setdebug level=10 storage=File
restore fileset=FS_TESTJOB where=${cwd}/tmp/bacula-restores select all done
yes
wait
@# now do a restore
@#
@$out ${cwd}/tmp/log2.out
+setdebug level=10 storage=File
restore fileset=FS_TESTJOB_ADVANCE where=${cwd}/tmp/bacula-restores select all done
yes
wait
@# now do a restore
@#
@$out ${cwd}/tmp/log2.out
+setdebug level=10 storage=File
restore fileset=FS_TESTJOB_ADVANCE where=${cwd}/tmp/bacula-restores select all done
yes
wait
@# now do a restore
@#
@$out ${cwd}/tmp/log2.out
+setdebug level=10 storage=File
restore where=${cwd}/tmp/bacula-restores storage=File file=<${cwd}/tmp/restore-list
yes
wait
+status storage=File
messages
@output
quit
--- /dev/null
+#!/bin/sh
+#
+# Run a simple backup of the Bacula build directory
+# then verify the Volume to the catalog.
+# This test should not be in the normal tests run since it
+# requires creating a mount point.
+#
+# To run this test
+# cd regress
+# mkdir xx
+# mkdir xx/boot
+# mount -t ext3 /dev/sda1 xx/boot
+# (where /dev/sda1 is your boot partion, or some other small partition)
+# cp regress/* xx
+#
+TestName="verify-voltocat-test"
+JobName=VerifyVol
+. scripts/functions
+
+cwd=`pwd`
+scripts/cleanup
+scripts/copy-test-confs
+echo "${cwd}/xx" >${cwd}/tmp/file-list
+echo "${cwd}/xx/boot" >>${cwd}/tmp/file-list
+
+change_jobname NightlySave $JobName
+start_test
+
+cat <<END_OF_DATA >tmp/bconcmds
+@$out /dev/null
+messages
+@$out tmp/log1.out
+setdebug level=1 storage=File sd
+label storage=File volume=TestVolume001
+run job=$JobName yes
+wait
+messages
+@#
+@# now do a verify to catalog
+@#
+@$out ${cwd}/tmp/log2.out
+setdebug level=12 dir
+run job=VerifyVolume level=VolumeToCatalog
+yes
+wait
+messages
+@$out
+quit
+END_OF_DATA
+
+run_bacula
+
+sleep 2
+check_for_zombie_jobs storage=File
+stop_bacula
+
+grep "^ Termination: *Backup OK" tmp/log1.out 2>&1 >/dev/null
+bstat=$?
+grep "^ Termination: *Verify OK" tmp/log2.out 2>&1 >/dev/null
+rstat=$?
+dstat=0
+end_test